--- /Users/danielbeck/Downloads/gradle-1.0-milestone-3/src/org/gradle/initialization/DefaultGradlePropertiesLoader.java	2011-01-05 16:43:30.000000000 +0100
+++ /Users/danielbeck/Downloads/gradle-1.0-milestone-3/src/org/gradle/initialization/DefaultGradlePropertiesLoader-proxy.java	2011-05-17 06:20:44.000000000 +0200
@@ -26,6 +26,9 @@
 import java.util.HashMap;
 import java.util.Map;
 import java.util.Properties;
+import java.net.Authenticator;
+import java.net.PasswordAuthentication;
+
 
 /**
  * @author Hans Dockter
@@ -108,6 +111,18 @@
     private void setSystemProperties(Map<String, String> properties) {
         System.getProperties().putAll(properties);
         addSystemPropertiesFromGradleProperties();
+        if (System.getProperty("http.proxyUser") != null) {
+            // manually set proxy authenticator if the http.proxyUser value is set
+            Authenticator.setDefault(new Authenticator() {
+                    @Override
+                    protected PasswordAuthentication getPasswordAuthentication() {
+                        return new PasswordAuthentication(System.getProperty(
+                                "http.proxyUser"),
+                            System.getProperty("http.proxyPassword", "")
+                                  .toCharArray());
+                    }
+                });
+        }
     }
 
     private void addSystemPropertiesFromGradleProperties() {
